#!/usr/bin/python

import hal
import time

doors = hal.component("doors")
doors.newpin("door-opened", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("door-open", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("door-closed", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("door-close", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("gauge", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("open", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("close", hal.HAL_BIT, hal.HAL_IN)
doors.newpin("active", hal.HAL_BIT, hal.HAL_OUT)
doors.ready()

print "DOORS ready!!"

print doors["door-open"]

try:
	while 1:
		time.sleep(0.1)
		if doors["door-opened"]: print "Dvere otevrene!"
		if doors["door-closed"]: print "Dvere zavrene!"
		if doors["open"]:
			if doors["active"]:	
				print "... oteviram ..."
				if doors["door-opened"]:
					print "... HOTOVO!"
					doors["door-open"] = None
					doors["gauge"] = None
					doors["active"] = None
					doors["open"] = None
			else:
				print "Spoustim otevirani"
				doors["active"] = "1"
				doors["gauge"] = "1"
				doors["door-open"] = "1"
		if doors["close"]:
			if doors["active"]:	
				print "... zaviram ..."
				if doors["door-closed"]:
					print "... HOTOVO!"
					doors["door-close"] = None
					doors["gauge"] = None
					doors["active"] = None
					doors["close"] = None
			else:
				print "Spoustim zavirani"
				doors["active"] = "1"
				doors["gauge"] = "1"
				doors["door-close"] = "1"

except KeyboardInterrupt:
	raise SystemExit
